Skip to content

Public IP

All operations require authentication.

1 operationv2/publicCloud/project
Agent setup

List public IPsProduction

GET
/v2/publicCloud/project/{projectId}/publicIp

Returns every public IP address of the project with its kind, as a lightweight summary. For full details, use the additional, Ext-Net or floating IP routes.

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200PublicIPSummary[]successful operation
ip
read-only
ip

The public IP address

type
read-only
PublicIPKindEnum

Kind of the public IP address

ValuesADDITIONAL_IPEXT_NET_IPFLOATING_IP

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/publicIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "ip": "192.0.2.0", "type": "ADDITIONAL_IP" }]